// oscdlg.h : header file
//
// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (C) 1992-1998 Microsoft Corporation
// All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

/////////////////////////////////////////////////////////////////////////////
// COscDlg dialog

#include "OscWnd.h"

class COscDlg : public CDialog
{
// Construction
public:
	COscDlg(CWnd* pParent = NULL); // standard constructor
	int	m_nvalor;
	bool	m_bandera;
	bool	m_enoff;
	bool	m_apagado;
	int	m_radio;
	// Dialog Data
	//{{AFX_DATA(COscDlg)
	enum { IDD = IDD_OSC_DIALOG };
	CSpinButtonCtrl m_SettingCtrl;
	CEdit   m_Setting;
	CButton m_Apply;
	CTreeCtrl   m_Property;
	CSliderCtrl m_brillo;
	CTabCtrl    m_Color;
	CProgressCtrl   m_Burn;
	COscWnd    m_OscWnd;
	int     m_nSetting;
	int		m_dato;
	int		m_pos;
	//}}AFX_DATA

	int m_nSettingMin;
	int m_nSettingMax;

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COscDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	UINT m_uTimerID;

	// Generated message map functions
	//{{AFX_MSG(COscDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnButton4();
	afx_msg void OnButton5();
	afx_msg void OnButton6();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
